package com.chenyang.nse.bussiness.entity.vo;

import java.util.Date;

public class DataSystemVO {
   private String id;
   private String flag;
   private String note;
   private String dbtype;
   private String dbip;
   private String dbport;
   private String dbservername;
   private String servername;
   private String username;
   private String password;
   private Date createtime;
   private String sysname;
   private String dbschema;
   private String parentid;
   private String inengine;
   private String pagecode;
   private String connectip;
   private String connectname;
   private String dblinkname;
   private String localdir;
   private String connectmode;
   private String istargetdb;
   private String iskerberos;
   private String principal;
   private String loginprincipal;
   private String keytab;
   private String ischarset;
   private String versionname;
   private String issysdba;
   private String crud;
   private String updateuserid;

   public String getId() {
      return this.id;
   }

   public void setId(String id) {
      this.id = id;
   }

   public String getFlag() {
      return this.flag;
   }

   public void setFlag(String flag) {
      this.flag = flag;
   }

   public String getNote() {
      return this.note;
   }

   public void setNote(String note) {
      this.note = note;
   }

   public String getDbtype() {
      return this.dbtype;
   }

   public void setDbtype(String dbtype) {
      this.dbtype = dbtype;
   }

   public String getDbip() {
      return this.dbip;
   }

   public void setDbip(String dbip) {
      this.dbip = dbip;
   }

   public String getDbport() {
      return this.dbport;
   }

   public void setDbport(String dbport) {
      this.dbport = dbport;
   }

   public String getDbservername() {
      return this.dbservername;
   }

   public void setDbservername(String dbservername) {
      this.dbservername = dbservername;
   }

   public String getServername() {
      return this.servername;
   }

   public void setServername(String servername) {
      this.servername = servername;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public String getPassword() {
      return this.password;
   }

   public void setPassword(String password) {
      this.password = password;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String getSysname() {
      return this.sysname;
   }

   public void setSysname(String sysname) {
      this.sysname = sysname;
   }

   public String getDbschema() {
      return this.dbschema;
   }

   public void setDbschema(String dbschema) {
      this.dbschema = dbschema;
   }

   public String getParentid() {
      return this.parentid;
   }

   public void setParentid(String parentid) {
      this.parentid = parentid;
   }

   public String getInengine() {
      return this.inengine;
   }

   public void setInengine(String inengine) {
      this.inengine = inengine;
   }

   public String getPagecode() {
      return this.pagecode;
   }

   public void setPagecode(String pagecode) {
      this.pagecode = pagecode;
   }

   public String getConnectip() {
      return this.connectip;
   }

   public void setConnectip(String connectip) {
      this.connectip = connectip;
   }

   public String getConnectname() {
      return this.connectname;
   }

   public void setConnectname(String connectname) {
      this.connectname = connectname;
   }

   public String getDblinkname() {
      return this.dblinkname;
   }

   public void setDblinkname(String dblinkname) {
      this.dblinkname = dblinkname;
   }

   public String getLocaldir() {
      return this.localdir;
   }

   public void setLocaldir(String localdir) {
      this.localdir = localdir;
   }

   public String getConnectmode() {
      return this.connectmode;
   }

   public void setConnectmode(String connectmode) {
      this.connectmode = connectmode;
   }

   public String getIstargetdb() {
      return this.istargetdb;
   }

   public void setIstargetdb(String istargetdb) {
      this.istargetdb = istargetdb;
   }

   public String getIskerberos() {
      return this.iskerberos;
   }

   public void setIskerberos(String iskerberos) {
      this.iskerberos = iskerberos;
   }

   public String getPrincipal() {
      return this.principal;
   }

   public void setPrincipal(String principal) {
      this.principal = principal;
   }

   public String getLoginprincipal() {
      return this.loginprincipal;
   }

   public void setLoginprincipal(String loginprincipal) {
      this.loginprincipal = loginprincipal;
   }

   public String getKeytab() {
      return this.keytab;
   }

   public void setKeytab(String keytab) {
      this.keytab = keytab;
   }

   public String getIscharset() {
      return this.ischarset;
   }

   public void setIscharset(String ischarset) {
      this.ischarset = ischarset;
   }

   public String getVersionname() {
      return this.versionname;
   }

   public void setVersionname(String versionname) {
      this.versionname = versionname;
   }

   public String getIssysdba() {
      return this.issysdba;
   }

   public void setIssysdba(String issysdba) {
      this.issysdba = issysdba;
   }

   public String getCrud() {
      return this.crud;
   }

   public void setCrud(String crud) {
      this.crud = crud;
   }

   public String getUpdateuserid() {
      return this.updateuserid;
   }

   public void setUpdateuserid(String updateuserid) {
      this.updateuserid = updateuserid;
   }
}
